Skip to content

getStorageUnitTree

READ

Get storage unit tree.

POST /api/v1/inventory/getStorageUnitTree
curl -X POST '<your-host>/api/v1/inventory/getStorageUnitTree' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "parentId": "string",
      "locationId": "string",
      "warehouseId": "string",
      "name": "string",
      "active": true,
      "storageTypeIds": [
        "string"
      ],
      "companyId": "string",
      "depth": 0,
      "ancestorPath": [
        "string"
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    }
  },
  "required": [
    "locationId"
  ]
}